<?php

    include_once('lib_auth.php');
    
    // ukazkovy skript, ulozeni atributu displayName se provede do $_SESSION['authorized']    
    
    // vyrizeni odezvy na odhlaseni
    if ($_REQUEST['auth_logout'] == 1) {
	unset($_SESSION['authorized']);
	setcookie('auth_token_local','',0,"/");
    }
	
    // vyrizeni odezvy na prihlaseni
    if (isset($_REQUEST['attrs']) and isset($_REQUEST['signature_algo']) and isset($_REQUEST['signature'])) {
	$user = auth_parse_url_response();
	if (is_array($user) and $user['realm'][0] == 'dups')
	    // OK
	    $_SESSION['authorized'] = $user['displayName'][0];
    }
    
    // pokud neni prihlaseny, tak presmerovani na prihlasovaci dialog nebo stazeni dat
    if (!isset($_SESSION['authorized'])) {	
	// nejdrive zkus zda nename klic, pokud ano stahni data
	if (isset($_COOKIE['auth_token_local'])) {
	    $user = auth_check_token($_COOKIE['auth_token_local']);
	    if (is_array($user)) 
		// OK
		$_SESSION['authorized'] = $user['displayName'][0];
	}	
	// presmerovani na prihlaseni
	header("Location: ".auth_login_url());
    }

    // pokud je prihlaseny, zobraz kdo to je a nabidni odhlaseni
    if (isset($_SESSION['authorized'])) {
	echo "<a href=\"".auth_logout_url()."\">ODHLASIT SE</a><br>";
	print_r($_SESSION['authorized']);
    }